### Method

# Tracker SparqlCursor get_langstring

since: 3.7

#### Declaration [src]

    const gchar*
    tracker_sparql_cursor_get_langstring (
      TrackerSparqlCursor* cursor,
      gint column,
      const gchar** langtag,
      glong* length
    )

#### Description [src]

Retrieves a string representation of the data in the current row in `column`. If the string has language information (i.e. it is a `rdf:langString`](rdf-ontology.html#rdf:langString)), the language tag will be returned in the location provided through `langtag`. This language tag will typically be in a format conforming RFC 5646.

Available since: 3.7

#### Parameters

`column`

  Type: `gint`

  Column number to retrieve.

`langtag`

  Type: `const gchar**`

  Language tag of the returned string, or `NULL` if the string has no language tag.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `glong*`

  Length of the returned string.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

#### Return value

Type: `const gchar*`

A string which must not be freed. `NULL` is returned if the column is not in the `[0, n_columns]` range, or if the row/column refer to a nullable optional value in the result set.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.